[drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)

Bug #1492764 reported by Benedikt on 2015-09-06
656
This bug affects 132 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
High
Unassigned

Bug Description

System: Kubuntu 15.10

Since kernel version 4.2 I have a few of this errors:

Sep 06 16:16:35 benediktZ50-70 kernel: [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Sep 06 16:16:35 benediktZ50-70 kernel: ------------[ cut here ]------------
Sep 06 16:16:35 benediktZ50-70 kernel: WARNING: CPU: 0 PID: 187 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()
Sep 06 16:16:35 benediktZ50-70 kernel: pipe state doesn't match!
Sep 06 16:16:35 benediktZ50-70 kernel: Modules linked in: rtsx_usb_sdmmc rtsx_usb i915 i2c_algo_bit drm_kms_helper psmouse ahci drm libahci r8169 mii sdhci_acpi video sdhci i2c_hid hid
Sep 06 16:16:35 benediktZ50-70 kernel: CPU: 0 PID: 187 Comm: plymouthd Tainted: G W 4.2.0-7-generic #7-Ubuntu
Sep 06 16:16:35 benediktZ50-70 kernel: Hardware name: LENOVO 20354/Lancer 5A5, BIOS 9BCN91WW 07/21/2015
Sep 06 16:16:35 benediktZ50-70 kernel: ffffffffc023f1e8 ffff8802413277e8 ffffffff817b0465 0000000000000000
Sep 06 16:16:35 benediktZ50-70 kernel: ffff880241327838 ffff880241327828 ffffffff81076536 ffff880241327858
Sep 06 16:16:35 benediktZ50-70 kernel: ffff8802413278c0 ffff880241152000 0000000000000001 ffff880241152350
Sep 06 16:16:35 benediktZ50-70 kernel: Call Trace:
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff817b0465>] dump_stack+0x45/0x57
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff81076536>] warn_slowpath_common+0x86/0xc0
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff810765b6>] warn_slowpath_fmt+0x46/0x50
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3091>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3485>] check_crtc_state+0x2c5/0x440 [i915]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e6f3e>] intel_modeset_check_state+0x20e/0x6b0 [i915]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e80e7>] intel_crtc_set_config+0x4c7/0x580 [i915]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009f915>] ? drm_mode_create+0x25/0x60 [drm]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc0099036>] drm_mode_set_config_internal+0x66/0x100 [drm]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009d5f8>] drm_mode_setcrtc+0x3a8/0x4c0 [drm]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc008e365>] drm_ioctl+0x125/0x610 [drm]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009d250>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff811fffd5>] do_vfs_ioctl+0x285/0x470
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff811ac159>] ? do_munmap+0x349/0x480
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff81200239>] SyS_ioctl+0x79/0x90
Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff817b6cf2>] entry_SYSCALL_64_fastpath+0x16/0x75
Sep 06 16:16:35 benediktZ50-70 kernel: ---[ end trace 724377a3c01e4270 ]---

I will check next week if these errors have any impact on my system.

This is a Nvidia Optimus System with the Intel graphic card activated by default.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-7-generic 4.2.0-7.7
ProcVersionSignature: Ubuntu 4.2.0-7.7-generic 4.2.0
Uname: Linux 4.2.0-7-generic x86_64
ApportVersion: 2.18-0ubuntu9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: benedikt 1550 F.... pulseaudio
 /dev/snd/controlC1: benedikt 1550 F.... pulseaudio
CurrentDesktop: KDE
Date: Sun Sep 6 16:22:48 2015
HibernationDevice: UUID=3383b02e-b89c-462c-903a-cb936e81b2bf
InstallationDate: Installed on 2014-12-21 (259 days ago)
InstallationMedia: Kubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20141218)
MachineType: LENOVO 20354
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-7-generic root=UUID=b549945a-67ac-4d14-849c-b54e561d47cc ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-7-generic N/A
 linux-backports-modules-4.2.0-7-generic N/A
 linux-firmware 1.147
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/21/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: 9BCN91WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Lancer 5A5
dmi.board.vendor: LENOVO
dmi.board.version: 31900058WIN
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo Z50-70
dmi.modalias: dmi:bvnLENOVO:bvr9BCN91WW:bd07/21/2015:svnLENOVO:pn20354:pvrLenovoZ50-70:rvnLENOVO:rnLancer5A5:rvr31900058WIN:cvnLENOVO:ct10:cvrLenovoZ50-70:
dmi.product.name: 20354
dmi.product.version: Lenovo Z50-70
dmi.sys.vendor: LENOVO

Created attachment 117467
dmesg - warning when switching from X to tty

Using 4.2-rc4 on my Haswell laptop I get the warning you can see in the dmesg attached whenever I switch from X to tty. The same happens using 4.2-rc1.

This never happened before.

This issue seems to have been fixed in v4.2-rc8. Closing this.

Download full text (3.2 KiB)

I am seeing this on a Dell E7240 (Haswell) freshly booted into 4.2. The issue was not seen on 4.1.2 or previous.

[ 2698.293746] [drm:check_crtc_state] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 2698.293753] ------------[ cut here ]------------
[ 2698.293761] WARNING: CPU: 0 PID: 1833 at drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x8ab/0xfd0()
[ 2698.293763] pipe state doesn't match!
[ 2698.293780] Modules linked in: fuse ctr ccm xt_addrtype xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 iptable_filter ip_tables x_tables nf_nat nf_conntrack bridge stp llc dm_thin_pool dm_persistent_data dm_bio_prison dm_bufio libcrc32c loop binfmt_misc bnep nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc arc4 nls_utf8 nls_cp437 vfat fat qmi_wwan uvcvideo videobuf2_vmalloc videobuf2_memops iwlmvm videobuf2_core cdc_mbim v4l2_common cdc_ncm cdc_wdm videodev usbnet mii mac80211 media snd_hda_codec_hdmi dell_smm_hwmon intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp btusb snd_hda_codec_realtek snd_hda_codec_generic joydev iwlwifi btintel bluetooth pcspkr efivars i2c_i801 sg snd_hda_intel cfg80211 snd_hda_codec
[ 2698.293911] snd_hwdep snd_hda_core snd_pcm snd_timer tpm_tis 8250 serial_core evdev battery ac processor md_mod tpm_rng tpm rng_core efivarfs autofs4 btrfs xor raid6_pq algif_skcipher af_alg crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel ehci_pci ehci_hcd sdhci_pci xhci_pci xhci_hcd thermal sdhci_acpi sdhci mmc_core i2c_hid hid jitterentropy_rng sha256_ssse3 sha256_generic hmac drbg ansi_cprng
[ 2698.293977] CPU: 0 PID: 1833 Comm: Xorg Not tainted 4.2.0 #1
[ 2698.293980] Hardware name: Dell Inc. Latitude E7240/07RPNV, BIOS A15 05/19/2015
[ 2698.293998] 0000000000000000 ffffffff819c26e0 ffffffff816898ee ffff8804030bf858
[ 2698.294004] ffffffff810b394c ffff8800d5ba9400 ffff88040c3d1000 ffff88040ab40000
[ 2698.294009] 0000000000000001 ffff88040c3d1350 ffffffff810b39c5 ffffffff819f0f1f
[ 2698.294015] Call Trace:
[ 2698.294024] [<ffffffff816898ee>] ? dump_stack+0x40/0x50
[ 2698.294048] [<ffffffff810b394c>] ? warn_slowpath_common+0x7c/0xb0
[ 2698.294054] [<ffffffff810b39c5>] ? warn_slowpath_fmt+0x45/0x50
[ 2698.294059] [<ffffffff8146563b>] ? check_crtc_state+0x8ab/0xfd0
[ 2698.294066] [<ffffffff81442c8b>] ? i915_get_crtc_scanoutpos+0x18b/0x230
[ 2698.294093] [<ffffffff81478116>] ? intel_modeset_check_state+0x206/0xb10
[ 2698.294101] [<ffffffff81479789>] ? intel_crtc_set_config+0x529/0x590
[ 2698.294108] [<ffffffff813f6367>] ? drm_crtc_check_viewport+0x27/0xe0
[ 2698.294130] [<ffffffff813f7bf9>] ? drm_mode_set_config_internal+0x59/0xf0
[ 2698.294137] [<ffffffff813fbabf>] ? drm_mode_setcrtc+0x17f/0x4d0
[ 2698.294143] [<ffffffff813edd1d>] ? drm_ioctl+0x16d/0x550
[ 2698.294151] [<ffffffffc024c930>] ? evdev_read+0xc0/0x2c0 [evdev]
[ 2698.294175] [<ffffffff811e794e>] ? do_vfs_ioctl+0x2be/0x490
[ 2698.294183] [<ffffffff810bd942>] ? recalc_sigpending+0x12/0x50
[ 2698.294189] [<ffffffff811e7b91>] ? SyS_ioctl+0x71/0x80
[ 2698.294194] [<ffffffff810c08d0>] ? SyS_rt_sigprocmask+0x60/0xa0
[ 2698.294217] [<ffffffff8168f...

Read more...

Reverting d2944cf21305c754fa8b2d6c1eea05ad5dad7944 fixes 4.2 for me.

(In reply to Emil Renner Berthing from comment #3)
> Reverting d2944cf21305c754fa8b2d6c1eea05ad5dad7944 fixes 4.2 for me.

commit d2944cf21305c754fa8b2d6c1eea05ad5dad7944
Author: Maarten Lankhorst <email address hidden>
Date: Tue Aug 11 12:31:11 2015 +0200

    drm/i915: Commit planes on each crtc separately.

Benedikt (benedikt-klotz) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Download full text (7.7 KiB)

Same error here, different stacktraces. It started with the upgrade of linux-image-generic from 4.1.0.3.3 to 4.2.0.7.7.
Hardware is a Lenovo T440s - no hybrid cards, only the integrated Intel. All the external display outputs available on the docking station are not working - X freezes as soon as I connect any external monitor (HDMI or DVI).
Using the docking station without any external monitor connected works fine.

[ 215.283067] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 215.284105] ------------[ cut here ]------------
[ 215.284119] WARNING: CPU: 1 PID: 6 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()
[ 215.284120] pipe state doesn't match!
[ 215.284120] Modules linked in: rfcomm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ctr ccm bnep nls_iso8859_1 arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media iwlmvm mac80211 intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_hdmi kvm_intel joydev kvm input_leds serio_raw snd_hda_codec_realtek btusb snd_hda_codec_generic btrtl btbcm btintel bluetooth iwlwifi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep thinkpad_acpi snd_seq_midi snd_pcm nvram snd_seq_midi_event lpc_ich snd_rawmidi snd_seq cfg80211 rtsx_pci_ms memstick snd_seq_device shpchp snd_timer snd mei_me mei soundcore mac_hid nfsd auth_rpcgss nfs_acl lockd grace sunrpc parport_pc ppdev lp parport autofs4 drbg ansi_cprng algif_skcipher af_alg dm_crypt
[ 215.284152] hid_generic hid_cherry usbhid hid rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper i915 cryptd psmouse ahci libahci rtsx_pci i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core wmi video
[ 215.284166] CPU: 1 PID: 6 Comm: kworker/u16:0 Tainted: G W OE 4.2.0-7-generic #7-Ubuntu
[ 215.284167] Hardware name: LENOVO 20AQCTO1WW/20AQCTO1WW, BIOS GJET79WW (2.29 ) 09/03/2014
[ 215.284178] Workqueue: i915-dp i915_digport_work_func [i915]
[ 215.284180] ffffffffc025d1e8 ffff88030ff2f698 ffffffff817b0465 0000000000000000
[ 215.284182] ffff88030ff2f6e8 ffff88030ff2f6d8 ffffffff81076536 ffff88030ff2f708
[ 215.284183] ffff88030ff2f770 ffff88030ab3d800 0000000000000001 ffff88030ab3db50
[ 215.284185] Call Trace:
[ 215.284188] [<ffffffff817b0465>] dump_stack+0x45/0x57
[ 215.284191] [<ffffffff81076536>] warn_slowpath_common+0x86/0xc0
[ 215.284193] [<ffffffff810765b6>] warn_slowpath_fmt+0x46/0x50
[ 215.284204] [<ffffffffc01f1091>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 215.284215] [<ffffffffc01f1485>] check_crtc_state+0x2c5/0x440 [i915]
[ 215.284228] [<ffffffffc0204f3e>] intel_modeset_check_state+0x20e/0x6b0 [i915]
[ 215.284239] [<ffffffffc02060e7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 215.284250] [<ffffffffc0047036>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 215.284255] [<ffffffffc01063b2>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
[ 215.284259] [<ffffffffc0108239>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
[ 215.28426...

Read more...

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Kernel messages seem similar to what is seen in bug 1492632

Czikus (czikus-gmail) wrote :
Download full text (4.0 KiB)

Another me too with staktrace:

[drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 8.155674] ------------[ cut here ]------------
[ 8.155688] WARNING: CPU: 1 PID: 431 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()
[ 8.155689] pipe state doesn't match!
[ 8.155719] Modules linked in: vboxdrv(OE+) drbg ansi_cprng ctr ccm binfmt_misc bnep nls_iso8859_1 arc4 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media btusb btrtl btbcm btintel bluetooth asus_nb_wmi(OE) asus_wmi(OE) sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel iwlmvm aesni_intel mac80211 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_hda_codec_hdmi snd_soc_rt5640 snd_soc_rl6231 snd_soc_core snd_hda_codec_realtek snd_hda_codec_generic iwlwifi snd_compress ac97_bus snd_pcm_dmaengine joydev input_leds snd_hda_intel cfg80211 snd_hda_codec serio_raw lpc_ich snd_hda_core snd_hwdep snd_pcm mei_me snd_seq_midi mei snd_seq_midi_event shpchp snd_rawmidi snd_seq snd_seq_device
[ 8.155736] snd_timer snd dw_dmac dw_dmac_core processor_thermal_device int3400_thermal intel_smartconnect soundcore acpi_thermal_rel intel_soc_dts_iosf snd_soc_sst_acpi 8250_dw int3402_thermal i2c_designware_platform i2c_designware_core int340x_thermal_zone iosf_mbi spi_pxa2xx_platform mac_hid parport_pc ppdev lp parport autofs4 dm_mirror dm_region_hash dm_log hid_generic usbhid i915 psmouse i2c_algo_bit drm_kms_helper ahci drm libahci wmi sdhci_acpi video sdhci i2c_hid hid
[ 8.155738] CPU: 1 PID: 431 Comm: plymouthd Tainted: G U W OE 4.2.0-7-generic #7-Ubuntu
[ 8.155739] Hardware name: ASUSTeK COMPUTER INC. UX301LAA/UX301LAA, BIOS UX301LAA.209 05/08/2014
[ 8.155741] ffffffffc02281e8 ffff880210d83538 ffffffff817b0465 0000000000000000
[ 8.155743] ffff880210d83588 ffff880210d83578 ffffffff81076536 ffff880210d835a8
[ 8.155745] ffff880210d83610 ffff880215365000 0000000000000001 ffff880215365350
[ 8.155745] Call Trace:
[ 8.155750] [<ffffffff817b0465>] dump_stack+0x45/0x57
[ 8.155753] [<ffffffff81076536>] warn_slowpath_common+0x86/0xc0
[ 8.155754] [<ffffffff810765b6>] warn_slowpath_fmt+0x46/0x50
[ 8.155768] [<ffffffffc01bc091>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 8.155779] [<ffffffffc01bc485>] check_crtc_state+0x2c5/0x440 [i915]
[ 8.155793] [<ffffffffc01cff3e>] intel_modeset_check_state+0x20e/0x6b0 [i915]
[ 8.155805] [<ffffffffc01d10e7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 8.155818] [<ffffffffc0082036>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 8.155823] [<ffffffffc01093b2>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
[ 8.155828] [<ffffffffc010b239>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
[ 8.155831] [<ffffffffc010b2a2>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
[ 8.155844] [<ffffffffc01de28a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[ 8.155846] [<ffffffff810aaed2>] ? enqueue_task_fair+0x332/0x770
[ 8.155849] [<ffffffff81425f08>...

Read more...

Paul Konecny (paul-konecny) wrote :

Same here:
Elitebook 850 G1
Intel HD4400 / AMD 8750M

Could this be an issue with hybrid graphics?

[ 13.717502] WARNING: CPU: 1 PID: 195 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()
[ 13.717524] hp_wireless intel_smartconnect tpm_infineon parport_pc ppdev lp parport autofs4 btrfs xor raid6_pq rtsx_pci_sdmmc amdkfd amd_iommu_v2 radeon i915 psmouse ttm ahci libahci i2c_algo_bit drm_kms_helper e1000e rtsx_pci drm ptp pps_core wmi video
[ 13.717544] [<ffffffffc025e091>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 13.717554] [<ffffffffc025e485>] check_crtc_state+0x2c5/0x440 [i915]
[ 13.717566] [<ffffffffc0271f3e>] intel_modeset_check_state+0x20e/0x6b0 [i915]
[ 13.717577] [<ffffffffc02730e7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 13.717603] [<ffffffffc02801ca>] intel_fbdev_pan_display+0x1a/0x60 [i915]
[ 13.724200] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 13.724266] WARNING: CPU: 1 PID: 195 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()

Paul - unlikely, my laptop has only the Intel graphic chipset and the problem is there.

Czikus (czikus-gmail) wrote :

Same here, only Intel graphics: Intel Corporation Haswell-ULT Integrated Graphics Controller

TeXHaPb (staryx) wrote :

I have the same bug with backtrace same as Czikus have.

tags: added: latest-bios-91

Eric Carvalho, please do not mark this a duplicate of another report, or vice versa.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Benedikt, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, Y, and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

That commit fixes another issue unfortunately. It looks like post_enable_primary might not be called in some cases.

Can I have a drm.debug=0x1e log of the vt switching?

Created attachment 118386
Pipe state mismatch during screen blank/unblank

I didn't manage to trigger on a simple VT switch, but doing a screen blank/unblank (manual lock request in GNOME) triggered the attached warning.

I have upgraded to 4.3-rc2 and have not so far been able to reproduce the problem. I will update here if I can do so.

Benedikt (benedikt-klotz) wrote :

Fixed with kernel 4.3.0-040300rc2-generic.

tags: added: kernel-fixed-upstream-4.3-rc2
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Benedikt, the next step is to fully reverse commit bisect from kernel 4.2 to 4.3-rc2 in order to identify the last bad commit, followed immediately by the first good one. Once this commit has been identified, then it may be reviewed as a candidate for backporting into your release. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-fixed-upstream needs-reverse-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sean Clarke (sean-clarke) wrote :

Same issue in Dell XPS 2013 however XPS 2015 is unaffected.

Sean Clarke, it will help immensely if you filed a new report against the Dell XPS 2013 via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Done.

Good luck

Regards
Sean Clarke
---------------------------------------------
SEC Consulting Limited
Phone: +44 (0)23 8040 5599
Website: http://www.sec-consulting.co.uk
Email: <email address hidden>

On 26 September 2015 at 18:32, Christopher M. Penalver <
<email address hidden>> wrote:

> Sean Clarke, it will help immensely if you filed a new report against the
> Dell XPS 2013 via a terminal:
> ubuntu-bug linux
>
> Please feel free to subscribe me to it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1492764
>
> Title:
> [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled
> (expected 1, found 0)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1492764/+subscriptions
>

Martin Smith (martinb3) wrote :

Another "me too" here. Decided since 15.10 was close to release that I'd upgrade. I'm not stuck with X not starting at all, with "*ERROR* mismatch in ips_enabled (expected 1, found 0)" just scrolling across the logs. I'm not sure if it's the same as other reports, because I can't start X _at all_, not just getting display corruption and occasional failures.

Martin Smith (martinb3) wrote :

I'm now stuck*

Martin Smith, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Martin Smith (martinb3) wrote :

@Christopher, thank you for the offer! As it turns out, I don't think the root cause is the kernel. If I switch back to lightdm, I'm able to successfully start X, so I think the messages I'm seeing are the same in this bug, but they aren't the root cause of my particular problem (no greeter, no X). I've filed a separate bug against gdm for this: https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/1500673

cedric (cedric) wrote :

same than comment #13 had the same with kernel 4.2 on lenovo t440s, disappeared with 4.3.0-040300rc3-generic.

Download full text (9.3 KiB)

Ubuntu GNOME 15.10

[ 23.786996] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 23.787000] ------------[ cut here ]------------
[ 23.787017] WARNING: CPU: 0 PID: 274 at /build/linux-AxjFAn/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12326 check_crtc_state+0x2c5/0x440 [i915]()
[ 23.787018] pipe state doesn't match!
[ 23.787019] Modules linked in: nls_iso8859_1 wl(POE) intel_rapl iosf_mbi btusb x86_pkg_temp_thermal intel_powerclamp coretemp btrtl btbcm snd_soc_rt5640 snd_soc_rl6231 btintel kvm snd_soc_core bluetooth hp_wmi sparse_keymap snd_hda_codec_hdmi joydev input_leds snd_compress ac97_bus snd_hda_codec_realtek crct10dif_pclmul crc32_pclmul snd_hda_codec_generic ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hda_core aesni_intel snd_hwdep snd_pcm_dmaengine snd_pcm cfg80211 aes_x86_64 snd_seq_midi snd_seq_midi_event lrw snd_rawmidi snd_seq gf128mul glue_helper rtsx_pci_ms snd_seq_device snd_timer mei_me snd mei ablk_helper memstick cryptd soundcore serio_raw snd_soc_sst_acpi dw_dmac dw_dmac_core shpchp spi_pxa2xx_platform mac_hid 8250_dw acpi_pad lpc_ich acpi_als kfifo_buf industrialio i2c_designware_platform
[ 23.787058] i2c_designware_core parport_pc ppdev lp parport autofs4 hid_generic usbhid uas usb_storage rtsx_pci_sdmmc i915 psmouse ahci i2c_algo_bit drm_kms_helper libahci r8169 rtsx_pci mii drm wmi sdhci_acpi video sdhci i2c_hid hid
[ 23.787075] CPU: 0 PID: 274 Comm: plymouthd Tainted: P OE 4.2.0-16-generic #19-Ubuntu
[ 23.787077] Hardware name: Hewlett-Packard 300-016d/2B38, BIOS 80.03 12/15/2014
[ 23.787078] 0000000000000000 0000000096ab8176 ffff88007787f7c8 ffffffff817e8c09
[ 23.787081] 0000000000000000 ffff88007787f820 ffff88007787f808 ffffffff8107b3c6
[ 23.787083] ffff88007787f848 ffff88007787f8b0 ffff88003f782800 0000000000000001
[ 23.787086] Call Trace:
[ 23.787092] [<ffffffff817e8c09>] dump_stack+0x45/0x57
[ 23.787096] [<ffffffff8107b3c6>] warn_slowpath_common+0x86/0xc0
[ 23.787099] [<ffffffff8107b455>] warn_slowpath_fmt+0x55/0x70
[ 23.787114] [<ffffffffc01ebbc1>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 23.787126] [<ffffffffc01ebfb5>] check_crtc_state+0x2c5/0x440 [i915]
[ 23.787143] [<ffffffffc01ffd6d>] intel_modeset_check_state+0x21d/0x6d0 [i915]
[ 23.787156] [<ffffffffc0200f27>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 23.787171] [<ffffffffc008bee5>] ? drm_mode_create+0x25/0x60 [drm]
[ 23.787181] [<ffffffffc00854c6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 23.787192] [<ffffffffc0089b29>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[ 23.787199] [<ffffffffc007a495>] drm_ioctl+0x125/0x610 [drm]
[ 23.787208] [<ffffffffc0089740>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[ 23.787212] [<ffffffff812108a5>] do_vfs_ioctl+0x295/0x480
[ 23.787214] [<ffffffff81210b09>] SyS_ioctl+0x79/0x90
[ 23.787218] [<ffffffff817ef9f2>] entry_SYSCALL_64_fastpath+0x16/0x75
[ 23.787220] ---[ end trace b86813d2aa3e06cd ]---
[ 23.788785] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 23.788789] ------------[ cut here ]------------
[ 23.788808] WARNING: ...

Read more...

cropr (ruben-decrop) wrote :

Experiencing the same issue on dell XPS 2013 with Kubuntu 15.10 beta2

cropr, it will help immensely if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

cropr (ruben-decrop) wrote :

Chirstopher,, I just filed the report

cropr, as per https://bugs.launchpad.net/~ruben-decrop/+reportedbugs you haven't filed a report using the method previously mentioned.

Matthew Lovibond (ub-matt-hv) wrote :

Chris... I'm hoping that I've filed the bug report properly using ubuntu-bug linux

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1507695

Please let me know if I can be any help.

*** Bug 92187 has been marked as a duplicate of this bug. ***

(In reply to Jonathan McDowell from comment #7)
> I have upgraded to 4.3-rc2 and have not so far been able to reproduce the
> problem. I will update here if I can do so.

Presumed fixed, please reopen if the problem reappears with 4.3-rc2 or later.

cropr (ruben-decrop) wrote :

Christopher
I ran ubuntu-bug linux, but I got a segmentation fault while running it, so the information was not uploaded.
How should I manually report a bug?

Chad Miller (cmiller) wrote :
Download full text (5.8 KiB)

cropr, that crash while running a different program is suspicious. Please
update your software first, and then, try again.

Let's assume the two are not related for now.

Christopher, what data can cropr gather manually to help? dmesg? log files?
lspci -vv?

On Thu, Oct 22, 2015 at 5:07 AM, cropr <email address hidden> wrote:

> Christopher
> I ran ubuntu-bug linux, but I got a segmentation fault while running it,
> so the information was not uploaded.
> How should I manually report a bug?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1492764
>
> Title:
> [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled
> (expected 1, found 0)
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> System: Kubuntu 15.10
>
> Since kernel version 4.2 I have a few of this errors:
>
> Sep 06 16:16:35 benediktZ50-70 kernel: [drm:intel_pipe_config_compare
> [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
> Sep 06 16:16:35 benediktZ50-70 kernel: ------------[ cut here
> ]------------
> Sep 06 16:16:35 benediktZ50-70 kernel: WARNING: CPU: 0 PID: 187 at
> /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324
> check_crtc_state+0x2c5/0x440 [i915]()
> Sep 06 16:16:35 benediktZ50-70 kernel: pipe state doesn't match!
> Sep 06 16:16:35 benediktZ50-70 kernel: Modules linked in: rtsx_usb_sdmmc
> rtsx_usb i915 i2c_algo_bit drm_kms_helper psmouse ahci drm libahci r8169
> mii sdhci_acpi video sdhci i2c_hid hid
> Sep 06 16:16:35 benediktZ50-70 kernel: CPU: 0 PID: 187 Comm: plymouthd
> Tainted: G W 4.2.0-7-generic #7-Ubuntu
> Sep 06 16:16:35 benediktZ50-70 kernel: Hardware name: LENOVO
> 20354/Lancer 5A5, BIOS 9BCN91WW 07/21/2015
> Sep 06 16:16:35 benediktZ50-70 kernel: ffffffffc023f1e8
> ffff8802413277e8 ffffffff817b0465 0000000000000000
> Sep 06 16:16:35 benediktZ50-70 kernel: ffff880241327838
> ffff880241327828 ffffffff81076536 ffff880241327858
> Sep 06 16:16:35 benediktZ50-70 kernel: ffff8802413278c0
> ffff880241152000 0000000000000001 ffff880241152350
> Sep 06 16:16:35 benediktZ50-70 kernel: Call Trace:
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff817b0465>]
> dump_stack+0x45/0x57
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff81076536>]
> warn_slowpath_common+0x86/0xc0
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff810765b6>]
> warn_slowpath_fmt+0x46/0x50
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3091>] ?
> intel_pipe_config_compare+0xb31/0xc60 [i915]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3485>]
> check_crtc_state+0x2c5/0x440 [i915]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e6f3e>]
> intel_modeset_check_state+0x20e/0x6b0 [i915]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e80e7>]
> intel_crtc_set_config+0x4c7/0x580 [i915]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009f915>] ?
> drm_mode_create+0x25/0x60 [drm]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc0099036>]
> drm_mode_set_config_internal+0x66/0x100 [drm]
> Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009d5...

Read more...

lorenzo.chianura (zuloch) wrote :

Same here:

Lenovo z50-70
Intel HD4400/ nVidia 840M

Just made a duplicate report about it (#1509794)

Rajat Pandita (rajat-pandita) wrote :

Affects my laptop as well. All is OK after installation. However the first reboot after the installation results in this problem. Please help

cropr (ruben-decrop) wrote :

Bug report is eventually submitted after reinstalling apport.

I'm experiencing the same issue, but in my case it was still reproducible after updating the kernel to the 4.3-rc6 version, which I installed from the ubuntu mainline PPA.

In my case it can always be triggered by changing the volume while running the openra game(installed from the wily-getdeb/games PPA), likely due to the translucent notification bubble. Another trigger is the Skype notification that shows when contacts are connecting or disconnecting.

Here's my kernel oops output shown in dmesg: http://pastebin.com/fEPSX8Jw

I'm running Ubuntu 15.10 x86_64 on a Dell latitude E7240 laptop, with the embedded graphics card
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

In my case the mouse is still showing and can be moved, but I can't interact with the game. I can recover is by killing Xorg.

Andreas Sommer (andidog) wrote :

I get this kind of error (see attachment) when locking my Lenovo ThinkPad 440s laptop and waking it up again (by moving mouse or pressing Ctrl) using the kernel

4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

I had the same problem, also on a T440s. Initially Ubuntu GNOME 15.10 worked just fine -- until it didn't.
However, in a strange twist contrary to comment #21, I got it to work again by switching from lightdm *to* gdm.

heytimc (heytimc) wrote :
Download full text (5.7 KiB)

My solution was to re-select gdm as the display manager; not even de-select then re-select. Something was re-linked at that point but i have no idea what.

----- Reply message -----
From: "Daniel Elstner" <email address hidden>
To: <email address hidden>
Subject: [Bug 1492764] Re: [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Date: Wed, Oct 28, 2015 13:28

I had the same problem, also on a T440s. Initially Ubuntu GNOME 15.10 worked just fine -- until it didn't.
However, in a strange twist contrary to comment #21, I got it to work again by switching from lightdm *to* gdm.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1492764

Title:
  [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled
  (expected 1, found 0)

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  System: Kubuntu 15.10

  Since kernel version 4.2 I have a few of this errors:

  Sep 06 16:16:35 benediktZ50-70 kernel: [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
  Sep 06 16:16:35 benediktZ50-70 kernel: ------------[ cut here ]------------
  Sep 06 16:16:35 benediktZ50-70 kernel: WARNING: CPU: 0 PID: 187 at /build/linux-4dBub_/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12324 check_crtc_state+0x2c5/0x440 [i915]()
  Sep 06 16:16:35 benediktZ50-70 kernel: pipe state doesn't match!
  Sep 06 16:16:35 benediktZ50-70 kernel: Modules linked in: rtsx_usb_sdmmc rtsx_usb i915 i2c_algo_bit drm_kms_helper psmouse ahci drm libahci r8169 mii sdhci_acpi video sdhci i2c_hid hid
  Sep 06 16:16:35 benediktZ50-70 kernel: CPU: 0 PID: 187 Comm: plymouthd Tainted: G W 4.2.0-7-generic #7-Ubuntu
  Sep 06 16:16:35 benediktZ50-70 kernel: Hardware name: LENOVO 20354/Lancer 5A5, BIOS 9BCN91WW 07/21/2015
  Sep 06 16:16:35 benediktZ50-70 kernel: ffffffffc023f1e8 ffff8802413277e8 ffffffff817b0465 0000000000000000
  Sep 06 16:16:35 benediktZ50-70 kernel: ffff880241327838 ffff880241327828 ffffffff81076536 ffff880241327858
  Sep 06 16:16:35 benediktZ50-70 kernel: ffff8802413278c0 ffff880241152000 0000000000000001 ffff880241152350
  Sep 06 16:16:35 benediktZ50-70 kernel: Call Trace:
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff817b0465>] dump_stack+0x45/0x57
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff81076536>] warn_slowpath_common+0x86/0xc0
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffff810765b6>] warn_slowpath_fmt+0x46/0x50
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3091>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01d3485>] check_crtc_state+0x2c5/0x440 [i915]
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e6f3e>] intel_modeset_check_state+0x20e/0x6b0 [i915]
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc01e80e7>] intel_crtc_set_config+0x4c7/0x580 [i915]
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc009f915>] ? drm_mode_create+0x25/0x60 [drm]
  Sep 06 16:16:35 benediktZ50-70 kernel: [<ffffffffc0099036>] drm_mode_set_config_internal+0x66/0x100 [drm]
  Sep 06 16:16:35 benediktZ50-70 ker...

Read more...

Download full text (5.0 KiB)

I noticed this syslog output just before the crash:
Oct 28 21:31:35 bologna lightdm[1388]: X Error of failed request: BadValue (integer parameter out of range for operation)
Oct 28 21:31:35 bologna lightdm[1388]: Major opcode of failed request: 140 (RANDR)
Oct 28 21:31:35 bologna lightdm[1388]: Minor opcode of failed request: 35 (RRSetProviderOutputSource)
Oct 28 21:31:35 bologna lightdm[1388]: Value in failed request: 0x46
Oct 28 21:31:35 bologna lightdm[1388]: Serial number of failed request: 15
Oct 28 21:31:35 bologna lightdm[1388]: Current serial number in output stream: 16
Oct 28 21:31:36 bologna kernel: [ 6870.862956] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Oct 28 21:31:36 bologna kernel: [ 6870.862960] ------------[ cut here ]------------
Oct 28 21:31:36 bologna kernel: [ 6870.862975] WARNING: CPU: 3 PID: 7966 at /build/linux-AxjFAn/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12326 check_crtc_state+0x2c5/0x440 [i915]()
Oct 28 21:31:36 bologna kernel: [ 6870.862977] pipe state doesn't match!
Oct 28 21:31:36 bologna kernel: [ 6870.862978] Modules linked in: rfcomm drbg ansi_cprng ctr ccm bnep pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) nls_iso8859_1 nvidia(POE) uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common arc4 videodev media iwlmvm mac80211 btusb btr
tl btbcm btintel bluetooth hid_multitouch dell_wmi sparse_keymap iwlwifi dell_laptop dcdbas dell_smm_hwmon snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp dell_led rtsx_pci_ms kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic snd_soc_rt5640 snd_soc_rl6231 snd_s
oc_core snd_hda_intel crct10dif_pclmul snd_hda_codec crc32_pclmul snd_compress ghash_clmulni_intel ac97_bus snd_hda_core snd_pcm_dmaengine snd_hwdep aesni_intel aes_x86_64 snd_pcm lrw gf128mul joydev glue_helper input_leds ablk_helper snd_seq_midi cryptd snd_seq_midi_event memstick serio_raw snd_rawmidi sn
d_seq cfg80211 snd_seq_device snd_timer snd soundcore wmi i2c_designware_platform i2c_designware_core spi_pxa2xx_platform intel_smartconnect dell_smo8800 dell_rbtn 8250_dw snd_soc_sst_acpi dw_dmac dw_dmac_core mei_me shpchp mei mac_hid lpc_ich sunrpc parport_pc ppdev lp parport autofs4 hid_logitech_hidpp h
id_logitech_dj hid_generic usbhid uas usb_storage rtsx_pci_sdmmc i915 i2c_algo_bit psmouse drm_kms_helper ahci drm r8169 libahci rtsx_pci mii video sdhci_acpi i2c_hid sdhci hid
Oct 28 21:31:36 bologna kernel: [ 6870.863044] CPU: 3 PID: 7966 Comm: Xorg Tainted: P W OE 4.2.0-16-generic #19-Ubuntu
Oct 28 21:31:36 bologna kernel: [ 6870.863045] Hardware name: Dell Inc. Inspiron 7537/038M0M, BIOS A12 10/30/2014
Oct 28 21:31:36 bologna kernel: [ 6870.863047] 0000000000000000 00000000e0111a78 ffff8803e5e6f7c8 ffffffff817e8c09
Oct 28 21:31:36 bologna kernel: [ 6870.863049] 0000000000000000 ffff8803e5e6f820 ffff8803e5e6f808 ffffffff8107b3c6
Oct 28 21:31:36 bologna kernel: [ 6870.863051] ffff8803e5e6f848 ffff8803e5e6f8b0 ffff880427bc4800 0000000000000001
Oct 28 21:31:36 bologna kernel: [ 6870.863054] Call Trace:
Oct 28 21:31:36 bologna kernel: [ 6870.863059] [<fffff...

Read more...

tnhh (tnhh) wrote :

I have tried installing 4.2.5 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.5-wily/ but am still seeing this same problem.

SkyRaT (rene-pavlik) wrote :

Even if it seems to be DM related, with older kernel (3.19) from vivid, the errors from the log are gone.

For people hit by this bug, looking for a workaround:

I reverted to the latest Ubuntu kernel from 15.04. It was still on my boot menu (my system was upgraded). The packages can be downloaded from here: http://packages.ubuntu.com/vivid-updates/kernel/

This is installed on my system:

me@this:~$ dpkg -l "*3.19*" |grep ^ii
ii linux-headers-3.19.0-31 3.19.0-31.36 all Header files related to Linux kernel version 3.19.0
ii linux-headers-3.19.0-31-generic 3.19.0-31.36 amd64 Linux kernel headers for version 3.19.0 on 64 bit x86 SMP
ii linux-image-3.19.0-31-generic 3.19.0-31.36 amd64 Linux kernel image for version 3.19.0 on 64 bit x86 SMP
ii linux-image-extra-3.19.0-31-generic 3.19.0-31.36 amd64 Linux kernel extra modules for version 3.19.0 on 64 bit x86 SMP

(The headers are needed for e.g. Virtualbox).

I changed the default booting kernel in /etc/default/grub:

me@this:~$ diff /etc/default/grub.bak /etc/default/grub
6c6,7
< GRUB_DEFAULT=0
---
> #GRUB_DEFAULT=0
> GRUB_DEFAULT='1>Ubuntu, with Linux 3.19.0-31-generic'

(Run update-grub after chaging the default kernel)

I'll keep updating kernels waiting for the fix in 4.2, but this way my base system is sane.

C.

tnhh (tnhh) wrote :

Just tried 4.2.6-040206-generic from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.6-wily/ but problem is still there.

Matthew Lovibond (ub-matt-hv) wrote :

Anyone else find they don't run into this problem when using a live CD / USB or is that just me?

@ub-matt-hv

The crash is also triggered using a Live CD/USB, you just need to wait enough while keeping /var/log/syslog open.

I think the bug is triggered sometimes by applications using 3D. In my case, virtualbox is the nr 1 application trigging the crash (not everytime, but kind of often).

C.

Download full text (3.7 KiB)

I also experience this in kubuntu 15.10 (upgrade), laptop hp g840

multiple traces of this type after boot

[ 19.491720] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 19.491751] ------------[ cut here ]------------
[ 19.491764] WARNING: CPU: 2 PID: 1424 at /build/linux-jJX2Dm/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12326 check_crtc_state+0x2c5/0x440 [i915]()
[ 19.491765] pipe state doesn't match!
[ 19.491765] Modules linked in: pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc bnep nls_iso8859_1 arc4 hp_wmi sparse_keymap intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp uvcvideo coretemp videobuf2_vmalloc crct10dif_pclmul videobuf2_memops btusb videobuf2_core btrtl crc32_pclmul v4l2_common ghash_clmulni_intel btbcm videodev btintel snd_hda_codec_hdmi bluetooth aesni_intel media snd_hda_codec_idt snd_hda_codec_generic aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_hda_intel snd_hda_codec snd_hda_core iwlmvm snd_hwdep input_leds mac80211 joydev snd_pcm serio_raw snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq iwlwifi snd_seq_device snd_timer cfg80211 rtsx_pci_ms lpc_ich snd memstick mei_me mei shpchp soundcore 8250_fintek hp_accel lis3lv02d input_polldev
[ 19.491792] intel_smartconnect hp_wireless tpm_infineon mac_hid ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 kvm_intel kvm xt_hl ip6t_rt nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_tcpudp xt_addrtype nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat nf_conntrack_ftp nf_conntrack iptable_filter ip_tables x_tables parport_pc ppdev lp parport autofs4 btrfs xor raid6_pq hid_generic usbhid hid rtsx_pci_sdmmc i915 rtsx_pci ahci i2c_algo_bit psmouse libahci drm_kms_helper e1000e drm ptp pps_core wmi video
[ 19.491814] CPU: 2 PID: 1424 Comm: Xorg Tainted: G W OE 4.2.0-18-generic #22-Ubuntu
[ 19.491815] Hardware name: Hewlett-Packard HP EliteBook 840 G1/198F, BIOS L71 Ver. 01.30 12/09/2014
[ 19.491816] 0000000000000000 0000000044c43655 ffff88032c2c3878 ffffffff817e8c09
[ 19.491818] 0000000000000000 ffff88032c2c38d0 ffff88032c2c38b8 ffffffff8107b3c6
[ 19.491819] ffff88032c2c38f8 ffff88032c2c3960 ffff88032aa5a800 0000000000000001
[ 19.491821] Call Trace:
[ 19.491823] [<ffffffff817e8c09>] dump_stack+0x45/0x57
[ 19.491826] [<ffffffff8107b3c6>] warn_slowpath_common+0x86/0xc0
[ 19.491828] [<ffffffff8107b455>] warn_slowpath_fmt+0x55/0x70
[ 19.491841] [<ffffffffc0268bc1>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 19.491853] [<ffffffffc0268fb5>] check_crtc_state+0x2c5/0x440 [i915]
[ 19.491867] [<ffffffffc027cd6d>] intel_modeset_check_state+0x21d/0x6d0 [i915]
[ 19.491880] [<ffffffffc027df27>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 19.491888] [<ffffffffc003d4c6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 19.491892] [<ffffffffc00fd632>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
[ 19.491897] [<ffffffffc00ff4e9>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
[ ...

Read more...

tnhh (tnhh) wrote :

I'm now trying 4.3.0-040300-generic from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-wily/ and so far so good. No ips_enabled errors on boot.

Rajat Pandita (rajat-pandita) wrote :

Update :- Downgrading to Kernel 3.19.8-031908-generic solves the problem for me. Not sure what is wrong. Any of the 4.X Series Kernels won't work for me.
I am on a Lenovo Z50 Laptop. Now with Kernel 3.19.8-031908-generic my system is working great. No error whatsoever. Hope this helps.

Erlenmayr (erlenmayr) wrote :

The error prevents lightdm/X from starting. I have Ubuntu with classic Unity, upgraded from 14.10/15.04. I have 13-inch Macbook with Intel-only graphics.

INTERESTING OBSERVATIONS:
1. When I then log in as root on pty1 and execute "service lightdm restart", X starts without a problem.
2. When I boot with upstart rather than systemd (second entry in grub), X starts without a problem.

Vasya Pupkin (shadowlmd) wrote :

I can confirm #46. No errors with 4.3.0-040300-generic kernel.

I can confirm #46 as well. No errors with 4.3.0-040300-generic kernel.

However, after first reboot with 4.3.0 I couldn't use keyboard. Now, everything is working just fine.

Rajat Pandita (rajat-pandita) wrote :

Update :- After using Kernel 3.19 for a while I received a Kernel Update to Kernel 4.2 Now I am running kernel 4.2.0-18-generic
Now everything seems to work. I have the same hardware as Benedikt . Lenovo z50-70 Laptop. I am running Ubuntu 15.10. I have had no success with Kernel 4.3.

Now with Kernel 4.2.0-18-generic all seems to work. May I request all to check out this Kernel Update and see if it fixes issues.

Andreas Sommer (andidog) wrote :

I have this kernel now:
4.2.0-18-generic #22-Ubuntu SMP

and still the same error, sorry.

Matthew Lovibond (ub-matt-hv) wrote :

I'm on 4.3.0-040300-generic #201511020949 and don't get the errors.

I was still stuck on on software rendering so unity was horribly slow until I found an xorg.conf file that was specifying a "mali fbdev" device (/usr/share/X11/xorg.conf.d/10-monitor.conf). Once this was removed (actually commented out) I had hardware rendering back.

Did this file get created because the system was a clean install made with the duff 4.2 kernel?

Amun Hateb (amunhateb) wrote :

I am using 4.4.0-rc3. Errors are gone.

florin (floryn-todor) wrote :

For me the error is gone after revert to default nvidia drivers and select in "Software & Updates" center "Aditional Drivers": insted of 'Using Processor microcode firmware for Intel CPUs from intel-microcode (proprietary)' the option 'Do not use the device'.

Eddy Beaupré (eddy-beaupre) wrote :

Upgrading the kernel to 4.3.0-040300-generic, removing bunblebee and re-installing the nvidia drivers fixed the issue on my Dell Inspiron 7737.

Vasya Pupkin (shadowlmd) wrote :

So unless someone wants to spend a lot of their time doing reverse bisecting, this ain't going to be fixed. Great.

The problem is also in the lts-wily kernel for trusty.

tags: added: lts-wily
Changed in linux:
importance: Unknown → Medium
status: Unknown → Fix Released
Ben Klaasen (ben-fluidlogic) wrote :
Download full text (11.5 KiB)

This happens to me running 64-bit Xubuntu 15.10 on a Dell Latitude E7440, when unlocking the screen after it's been sent to sleep. Light Locker Settings claims "Your screensaver settings are managed by Xfce Power Manager [Open]"; opening that utility, it's not clear what I need to switch off to hand control back to Light Locker without losing other power management options. This might all be beside the point.

In any case, I'm tailing /var/log/syslog all the time; when I return to my machine after the screen has been switched off for a time, after presenting my credentials to unlock the running session, I'm presented with an apport dialog stating that I'm attempting a task that requires root privileges (I'm paraphrasing, I'll update with the full details later.)

/var/log/syslog contains the following stack trace:

Dec 16 15:55:08 gd2pd12 org.gtk.vfs.Daemon[21443]: A connection to the bus can't be made
Dec 16 15:55:08 gd2pd12 kernel: [597970.459037] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
Dec 16 15:55:08 gd2pd12 kernel: [597970.459047] ------------[ cut here ]------------
Dec 16 15:55:08 gd2pd12 kernel: [597970.459091] WARNING: CPU: 3 PID: 5803 at /build/linux-26_gwp/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12328 check_crtc_state+0x2c5/0x440 [i915]()
Dec 16 15:55:08 gd2pd12 kernel: [597970.459095] pipe state doesn't match!
Dec 16 15:55:08 gd2pd12 kernel: [597970.459098] Modules linked in: btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c xt_tcpudp xt_REDIRECT nf_nat_redirect xt_hl snd_usb_audio snd_usbmidi_lib binfmt_misc nls_utf8 isofs cdc_acm uas usb_storage nfnetlink_queue nfnetlink_log nfnetlink veth xt_addrtype br_netfilter bridge stp llc aufs rfcomm drbg ansi_cprng ctr ccm iptable_filter xt_conntrack ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ip_tables x_tables pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep rt2800usb rt2x00usb rt2800lib rt2x00lib crc_ccitt arc4 pn544_mei mei_phy pn544 hci nfc dell_wmi sparse_keymap dell_laptop dcdbas intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp dell_smm_hwmon coretemp uvcvideo videobuf2_vmalloc kvm_intel videobuf2_memops videobuf2_core v4l2_common videodev media kvm crct10dif_pclmul btusb btrtl crc32_pclmul btbcm btintel bluetooth iwlmvm aesni_intel mac80211 aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd iwlwifi input_leds serio_raw snd_hda_codec_realtek snd_hda_codec_hdmi snd_soc_rt5640 snd_soc_rl6231 snd_hda_codec_generic cfg80211 snd_hda_intel snd_hda_codec snd_soc_core lpc_ich snd_compress snd_hda_core ac97_bus snd_pcm_dmaengine shpchp snd_hwdep mei_me snd_seq_midi mei snd_pcm snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd snd_soc_sst_acpi soundcore dw_dmac 8250_fintek dw_dmac_core dell_smo8800 i2c_designware_platform 8250_dw i2c_designware_core spi_pxa2xx_platform dell_rbtn joydev mac_hid parport_pc ppdev lp parport autofs4 hid_generic usbhid i915 ahci libahci psmouse sdhci_pci i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core wmi video sdhci_acpi sdhci i2c_hid hid
Dec 16 15:55:0...

The error is gone with 4.3, but what I noticed is higher load average values with 4.3 kernel driver?
I have both Ubuntu 14.04 and Ubuntu 15. 10 (4.2. and 4.3. kernel installed) and all three load average value is higher (within the limit, but higher). Is this some kind of a problem?

amias (amias) wrote :

upgrading to the 4.3 kernel above fixed it for me on my dell 7737 , have been experiencing a lot of fan noise since this started and it doesn't seem to be going away. Using top shows all of my browser processes constantly in more that 4% system calls all the time.
i also have a laggy response to typing.

This is a massive regression from 15.04 where this laptop worked immaculately , this extra load feels like its damaging my laptop, it causes it not to start properly several times before i get a working desktop which cannot be right. I know there are big changes a foot but this is becoming unsuable , especially now you have hidden the boot process so i've no idea whats going on.

not happy with this regression and how little effort seems to be going into fixing it

Rajat Pandita (rajat-pandita) wrote :

I am having to go back to 14.04 now. I was really hoping that this would get fixed soon. I think this might have its presence in the 16.04 Cycle as well. Consequently many people like myself would have to stay on 14..04 !

Rajat Pandita (rajat-pandita) wrote :

I have tried With Xenial 16.04 Linux Kernel 4.3 and The issue is still there. Now Something Interesting.

I have a Lenovo z50-70 Laptop with Hybrid Graphics. So II have to use Bumblebee for getting proper use of the Nvidia Card on the Laptop.

I have to first use nomodeset kernel parameter to even boot up.

Then Once In install bumblebee and things look great. However the moment I use bumblebee for Launching any application, Something changes, Not sure what. and next reboot produces this black screen and the Intern DRM messages.

I remove bumblebee nvidia etc.... nothing helps. I keep getting this black screen.

So Things work great if I don't use bumblebee at all, I can reboot system etc... No worries, However the system breaks with the first reboot after using Bumblebee to launch any app for the first time. Even if I ran glxinfo | grep OpenGL with primusrun or Optirun. Things no longer stay the same. The session carries on fine, However the moment I reboot the machine/Restart X.

Things are black.

I think there is a regression somewhere with Bumblebee breaking the Intel OpenSource Driver. Or maybe Nvidia -Closed Source Driver breaking Intel Driver... Honestly I can't figure it out.

I hope this helps in understanding the behaviour of the problem.

Antoine Pitrou (pitrou) wrote :

I got this issue after trying to install the nvidia-352 driver on my laptop (an optimus setup with both an Intel iGPU and a NVidia GPU).
I then uninstalled the NVidia driver, but it still doesn't fix the problem, which is mysterious.

Alex Garel (alex-garel) wrote :

Hello, I have the same problem here. I am willing to test if possible, but I would need help (Although I'm a programmer and a long time linux user, I've never compiled a kernel).
In my case the problem only shows when I am using battery power.
It is also very random but the fight that it may be linked with application using 3D acceleration seems possible.

I was surprised that with 4.2.0-23-generic update, this error is gone... I hope forever :-)

It was just a coincidence. The error is back :-(

Lunderhage (lunderhage) wrote :

This happens quite often when locking the screen.

Kernel is 4.2.0-24-generic.

Lunderhage (lunderhage) wrote :

Some fresh kernel output. (4.2.0-24-generic)

DG (dgchristensen) wrote :

I started getting the error today with the latest patch. I've sent in a bug (via "ubuntu-bug linux") but wanted to add that I was able to get rid of it* by running "sudo dpkg-reconfigure lightdm" in recovery mode. I was already using lightdm so I don't know why that fixed the problem.

(* - It's possible it was just a coincidence but I tried multiple times to reboot and failed every time with the drm error until I reconfigured lightdm and it started the first time. It's the only change I tried.)

Pavel V. Zhuk (pavel-zhuk) wrote :

4.2.0-25 generic -- error is still present

laptop Lenovo Z50-70

Plugaru Tudor (plugarutudor) wrote :

Still present after fresh install.

Masiosare (luis-zaldivar) wrote :

Happens to me also, and I can reproduce it if I connect a second monitor.

First monitor turns off and the second turns on.

If I enable the second monitor from system settings, X crashes every tie.

Bugreport: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1541932

chili555 (wrweston) wrote :

Confirmed on an Intel NUC D34010WYK running fully updated 15.10. 4.2.0-27-generic

Marco (charco) wrote :
Download full text (3.7 KiB)

Happens to me also. After an Ubuntu Update yesterday (2015/02/05), my wifi stopped working and this message started appearing in DMESG:

[ 3191.808441] ahci 0000:00:1f.2: port does not support device sleep
[ 3470.201625] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 3470.201635] ------------[ cut here ]------------
[ 3470.201684] WARNING: CPU: 0 PID: 779 at /build/linux-NgsOGa/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12328 check_crtc_state+0x2c5/0x440 [i915]()
[ 3470.201688] pipe state doesn't match!
[ 3470.201690] Modules linked in: nls_utf8 isofs drbg ansi_cprng ctr ccm rtl8192cu rtl_usb rtl8192c_common rtlwifi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common hid_multitouch hid_generic videodev media usbhid nvram msr arc4 nls_iso8859_1 asus_nb_wmi asus_wmi sparse_keymap wl(POE) intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm iwlmvm crct10dif_pclmul mac80211 crc32_pclmul aesni_intel aes_x86_64 lrw gf128mul iwlwifi glue_helper snd_hda_codec_hdmi ablk_helper cryptd input_leds joydev cfg80211 snd_hda_codec_realtek serio_raw snd_hda_codec_generic lpc_ich shpchp mei_me mei snd_hda_intel snd_hda_codec snd_soc_rt5640 snd_hda_core snd_soc_rl6231 snd_hwdep snd_soc_core snd_compress ac97_bus snd_pcm_dmaengine snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi
[ 3470.201782] snd_seq snd_seq_device snd_timer snd soundcore int3402_thermal dw_dmac 8250_dw dw_dmac_core i2c_designware_platform processor_thermal_device snd_soc_sst_acpi i2c_designware_core int340x_thermal_zone int3400_thermal spi_pxa2xx_platform acpi_thermal_rel intel_soc_dts_iosf intel_smartconnect mac_hid parport_pc ppdev lp parport autofs4 uas usb_storage psmouse i915 i2c_algo_bit drm_kms_helper drm ahci libahci wmi sdhci_acpi video sdhci i2c_hid hid
[ 3470.201835] CPU: 0 PID: 779 Comm: Xorg Tainted: P W OE 4.2.0-27-generic #32-Ubuntu
[ 3470.201839] Hardware name: ASUSTeK COMPUTER INC. UX301LAA/UX301LAA, BIOS UX301LAA.211 06/05/2015
[ 3470.201842] 0000000000000000 0000000076e06d8c ffff8800d924f7c8 ffffffff817eae99
[ 3470.201849] 0000000000000000 ffff8800d924f820 ffff8800d924f808 ffffffff8107b9c6
[ 3470.201854] ffff8800d924f848 ffff8800d924f8b0 ffff8802110a9800 0000000000000001
[ 3470.201861] Call Trace:
[ 3470.201873] [<ffffffff817eae99>] dump_stack+0x45/0x57
[ 3470.201883] [<ffffffff8107b9c6>] warn_slowpath_common+0x86/0xc0
[ 3470.201889] [<ffffffff8107ba55>] warn_slowpath_fmt+0x55/0x70
[ 3470.201936] [<ffffffffc01909e1>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 3470.201972] [<ffffffffc0190dd5>] check_crtc_state+0x2c5/0x440 [i915]
[ 3470.202014] [<ffffffffc01a4bfd>] intel_modeset_check_state+0x21d/0x6d0 [i915]
[ 3470.202052] [<ffffffffc01a5db7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 3470.202088] [<ffffffffc0096ef5>] ? drm_mode_create+0x25/0x60 [drm]
[ 3470.202115] [<ffffffffc00904a6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 3470.202142] [<ffffffffc0094b39>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[ 3470.202160] [<ffffffffc0085495>] drm_ioctl+0x125/0x610 [drm]
[ 3470.202167] [<ffffffff811bf301>] ? page_add_file_rmap+0x51/0x60
[ 3470.202191] [<ff...

Read more...

Pithikos (manossef) wrote :

Same issue on Ubuntu 15. 10 with Gnome3. The whole computer freezes for a few minutes. Switching to the tty and after a while the computer unfreezes. Not sure if it's coincidental or not.

The problem is gone for me. I installed latest graphic driver via Intel Graphic Installer for Ubuntu 15.10 and I don't see message any more.

[ 1.775356] ------------[ cut here ]------------
[ 1.775379] WARNING: CPU: 2 PID: 213 at /build/linux-NgsOGa/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12328 check_crtc_state+0x2c5/0x440 [i915]()
[ 1.775380] pipe state doesn't match!
[ 1.775382] Modules linked in: uas usb_storage crct10dif_pclmul crc32_pclmul i915 aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit psmouse drm
_kms_helper ahci r8169 libahci drm mii sdhci_acpi sdhci video i2c_hid hid
[ 1.775404] CPU: 2 PID: 213 Comm: plymouthd Not tainted 4.2.0-27-generic #32-Ubuntu
[ 1.775405] Hardware name: ZOTAC ZBOXNANO-CI520NANO/CI540NANO/ZBOXNANO-CI520NANO/CI540NANO, BIOS B213P104 09/11/2014
[ 1.775407] 0000000000000000 0000000089eb9c63 ffff88021161f7c8 ffffffff817eae99
[ 1.775411] 0000000000000000 ffff88021161f820 ffff88021161f808 ffffffff8107b9c6
[ 1.775414] ffff88021161f848 ffff88021161f8b0 ffff880211ed4000 0000000000000001
[ 1.775417] Call Trace:
[ 1.775424] [<ffffffff817eae99>] dump_stack+0x45/0x57
[ 1.775430] [<ffffffff8107b9c6>] warn_slowpath_common+0x86/0xc0
[ 1.775433] [<ffffffff8107ba55>] warn_slowpath_fmt+0x55/0x70
[ 1.775453] [<ffffffffc024d9e1>] ? intel_pipe_config_compare+0xb31/0xc60 [i915]
[ 1.775470] [<ffffffffc024ddd5>] check_crtc_state+0x2c5/0x440 [i915]
[ 1.775493] [<ffffffffc0261bfd>] intel_modeset_check_state+0x21d/0x6d0 [i915]
[ 1.775511] [<ffffffffc0262db7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 1.775531] [<ffffffffc007bef5>] ? drm_mode_create+0x25/0x60 [drm]
[ 1.775546] [<ffffffffc00754a6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 1.775560] [<ffffffffc0079b39>] drm_mode_setcrtc+0x3e9/0x500 [drm]
[ 1.775570] [<ffffffffc006a495>] drm_ioctl+0x125/0x610 [drm]
[ 1.775582] [<ffffffffc0079750>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[ 1.775587] [<ffffffff812110b5>] do_vfs_ioctl+0x295/0x480
[ 1.775591] [<ffffffff81211319>] SyS_ioctl+0x79/0x90
[ 1.775594] [<ffffffff817f1c72>] entry_SYSCALL_64_fastpath+0x16/0x75
[ 1.775596] ---[ end trace 7ddf26038ba6c902 ]---
[ 1.778809] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in ips_enabled (expected 1, found 0)
[ 1.778812] ------------[ cut here ]------------

Dennis (dhabgood3) wrote :

Issue is still occuring in the ubuntu 15.10 insta...

I did as Ljiljan Veselinovic (ljiljan-veselinovic) suggested and installed the intel graphics driver directly from intel at https://01.org/linuxgraphics/downloads and that seems to have fixed the error messages. Videos are smoother and the screen tearing has gone away with 3D graphics.

gnd (gnd) wrote :
Download full text (4.0 KiB)

I am having this issue on Ubuntu 15.10 amd64 kernel 4.2.0-27-generic on Asus UX303UB with Radeon 940M.
Occurred after installing bumblebee optimus and bumblebee-nvidia, together with nvidia-352

[ 67.167138] [drm:intel_pipe_config_compare [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 138780, found 92519)
[ 67.167140] ------------[ cut here ]------------
[ 67.167208] WARNING: CPU: 2 PID: 144 at /build/linux-NgsOGa/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:12328 check_crtc_state+0x2c5/0x440 [i915]()
[ 67.167209] pipe state doesn't match!
[ 67.167297] Modules linked in: drbg ansi_cprng ctr ccm bnep bbswitch(OE) snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic nls_iso8859_1 snd_hda_intel btusb snd_hda_codec snd_hda_core snd_hwdep btrtl intel_rapl x86_pkg_temp_thermal arc4 btbcm intel_powerclamp coretemp snd_pcm btintel kvm_intel asus_nb_wmi snd_seq_midi asus_wmi snd_seq_midi_event bluetooth sparse_keymap mxm_wmi kvm snd_rawmidi iwlmvm mac80211 crct10dif_pclmul snd_seq crc32_pclmul uvcvideo videobuf2_vmalloc snd_seq_device videobuf2_memops iwlwifi snd_timer videobuf2_core v4l2_common aesni_intel videodev aes_x86_64 lrw gf128mul glue_helper ablk_helper media snd cryptd cfg80211 joydev input_leds serio_raw soundcore shpchp processor_thermal_device mei_me intel_soc_dts_iosf mei int3403_thermal wmi intel_lpss_acpi int3402_thermal
[ 67.167329] intel_lpss tpm_crb int340x_thermal_zone int3400_thermal acpi_als acpi_thermal_rel acpi_pad kfifo_buf industrialio mac_hid parport_pc ppdev lp parport autofs4 i915 psmouse i2c_algo_bit drm_kms_helper ahci libahci drm i2c_hid pinctrl_sunrisepoint video pinctrl_intel hid
[ 67.167337] CPU: 2 PID: 144 Comm: kworker/2:2 Tainted: G W OE 4.2.0-27-generic #32-Ubuntu
[ 67.167340] Hardware name: ASUSTeK COMPUTER INC. UX303UB/UX303UB, BIOS UX303UB.202 08/27/2015
[ 67.167352] Workqueue: events console_callback
[ 67.167361] 0000000000000000 00000000332cdecc ffff88036f0af658 ffffffff817eae99
[ 67.167367] 0000000000000000 ffff88036f0af6b0 ffff88036f0af698 ffffffff8107b9c6
[ 67.167372] ffff88036f0af6d8 ffff88036f0af740 ffff880374c0b800 0000000000000001
[ 67.167373] Call Trace:
[ 67.167387] [<ffffffff817eae99>] dump_stack+0x45/0x57
[ 67.167399] [<ffffffff8107b9c6>] warn_slowpath_common+0x86/0xc0
[ 67.167407] [<ffffffff8107ba55>] warn_slowpath_fmt+0x55/0x70
[ 67.167468] [<ffffffffc01d39b8>] ? intel_pipe_config_compare+0xb08/0xc60 [i915]
[ 67.167521] [<ffffffffc01d3dd5>] check_crtc_state+0x2c5/0x440 [i915]
[ 67.167589] [<ffffffffc01e7bfd>] intel_modeset_check_state+0x21d/0x6d0 [i915]
[ 67.167647] [<ffffffffc01e8db7>] intel_crtc_set_config+0x4c7/0x580 [i915]
[ 67.167703] [<ffffffffc007bbf0>] ? drm_modeset_lock_all_crtcs+0x90/0xa0 [drm]
[ 67.167745] [<ffffffffc006c4a6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 67.167768] [<ffffffffc00f92a1>] drm_fb_helper_pan_display+0x91/0xe0 [drm_kms_helper]
[ 67.167778] [<ffffffff8144352d>] ? soft_cursor+0x1ad/0x230
[ 67.167843] [<ffffffffc01f618a>] intel_fbdev_pan_display+0x1a/0x60 [i915]
[ 67.167849] [<ffffffff8144848f>] fb_pan_display+0xcf/0x160
[ 67.167857] [<ffff...

Read more...

Workaround for me is returning to the previous acceleration setup (uxa instead of sna):

$ cat /etc/X11/xorg.conf.d/20-intel.conf
Section "Device"
 Identifier "Card0"
 Driver "Intel"
 Option "AccelMethod" "uxa"
EndSection

I added that file, restarted X and no more crashes and better video performance (e.g. watching movies with Totem).

I hope it helps someone until Ubuntu/Intel fix sna.

C.

Marcel (pro-rammstein) wrote :

Installing the driver directly from Intel solved it on My Toshiba L50-A-164 with Ubuntu Gnome 15.10 as well

Leslie Viljoen (leslieviljoen) wrote :

After upgrading my Asus laptop to Ubuntu 15.10 I got dumped to black screen with a flashing cursor.

To fix this I had to:
1. run "sudo dpkg --configure -a" to finish installing packages that were already downloaded
2. run "sudo apt-get install --reinstall resolvconf" - because apt told me resolvconf was broken
3. run "sudo dpkg-reconfigure lightdm" (and pick lightdm again) and then reboot (to get a graphical desktop back)
4. edit /etc/bumblebee/bumblebee.conf and change KernelDriver, LibraryPath and XorgModulePath to point to the newer NVidia driver Ubuntu had installed, then reboot (to get bumblebee's primusrun command working again)

Not the greatest upgrade experience but its all working now.

Of course don't do the above unless you read a little and know what these do, or have reason to believe that these will solve problems you actually have. I'm sharing the list of things in case they give you some hints to solving similar problems.

My specs: Asus X550L laptop, NVidia GeForce 840M graphics.

Leslie Viljoen (leslieviljoen) wrote :

Update: I spoke too soon. After another reboot I just get endless i915 crashes and X dialogs telling me I'm in low graphics mode - so only text mode for me. Various attempts to purge and reinstall Nvidia/Bumblebee failed, probably because this seems to be an Intel problem.

I'm attempting to upgrade to 16.04 in the hopes that a 4.4 kernel will work.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.